io.milvus.param.control

## Class GetPersistentSegmentInfoParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetPersistentSegmentInfoParam.Builder

Enclosing class:
  GetPersistentSegmentInfoParam

    public static final class GetPersistentSegmentInfoParam.Builder
    extends java.lang.Object

Builder for `GetPersistentSegmentInfoParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetPersistentSegmentInfoParam` `build()` Verifies parameters and creates a new `GetPersistentSegmentInfoParam` instance.
`GetPersistentSegmentInfoParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public GetPersistentSegmentInfoParam.Builder withCollectionName(@NonNull
                                                                    @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### build

    public GetPersistentSegmentInfoParam build()
                                        throws ParamException

Verifies parameters and creates a new `GetPersistentSegmentInfoParam` instance.

Returns:
  `GetPersistentSegmentInfoParam`
Throws:
  `ParamException`